.blog-home {
  padding: 10px;
  text-align: center;
  background-color: #f5f5f5; // Lighter background color

  .blog-title {
    font-size: 1.5em; // Larger title
    color: #333; // Darker text for better contrast
    margin-bottom: 20px; // Space below the title
    font-weight: 700; // Bold title for emphasis
  }

  .blog-posts {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 24px;
    margin-top: 20px;

    .blog-post {
      background: #ffffff; // White background for posts
      padding: 20px;
      border: none;
      border-radius: 12px;
      box-shadow: 0px 6px 15px rgba(0, 0, 0, 0.1); // Softer shadow for a subtle effect
      transition: transform 0.3s ease, box-shadow 0.3s ease,
        background 0.3s ease;
      cursor: pointer;

      &:hover {
        transform: translateY(-5px);
        box-shadow: 0px 12px 24px rgba(0, 0, 0, 0.2); // Slightly elevated shadow on hover
        background: #f0f0f0; // Slight color shift on hover
      }

      h3 {
        margin-top: 0;
        font-size: 1.3em;
        color: #333; // Darker color for titles
        font-weight: 500;
        margin-bottom: 8px;
      }

      em {
        color: #666; // Softer gray for content text
        font-size: 1em;
        line-height: 1.5;
        display: block;
      }
    }
  }
}
